Bug 524224 - Please package preupgrade-gtk and preupgrade-cli separately
Please package preupgrade-gtk and preupgrade-cli separately
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-18 09:03 EDT by Vedran Miletić
Modified: 2014-06-14 04:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-14 04:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vedran Miletić 2009-09-18 09:03:59 EDT
Version-Release number of selected component (if applicable):
preupgrade-1.1.0-1.fc11.noarch

Description of problem:
It would be nice to be able to install preupgrade-cli without installing loads of unnecessary X and GTK2 libs.

I'm not sure if this has to do only with preupgrade package or with actual software. I looked at the source, and it _seems_ to me that it would be possible to package gui and cli separately, but it would better to have someone who actually works at preupgrade confirm or deny this.
Comment 1 Pavel Urban 2009-09-18 12:06:21 EDT
I've tried to install preupgrade on F10 noX server with --nodeps and preupgrade-cli seemed to work fine, so I think it should be possible - and I would welcome X and cli split, too.
Comment 2 Vedran Miletić 2009-09-21 15:44:14 EDT
Seth Vidal, is this doable?
Comment 3 seth vidal 2009-09-21 15:50:03 EDT
Doable, sure - I'm not sure why/how it is terribly useful. Are you using preupgrade on server-type systems? And if so, why? why not just use kickstart?
Comment 4 Vedran Miletić 2009-09-21 16:01:04 EDT
Yes, I am. It's simple and useful, and I like the way it works. Not to mention that I wasn't aware that it was possible to do upgrades over SSH on a headless server using kickstart. Is that mentioned somewhere in the documentation?
Comment 5 seth vidal 2009-09-21 16:08:55 EDT
kickstart using vnc. That way you can watch/manage the install if you want.

And to do so over ssh - you just download the initrd.img and kernel and put them in grub on the box you want (just like preupgrade does) and then reboot the machine.

Check out what cobbler does to handle exactly this.
Comment 6 Bug Zapper 2009-11-16 07:36:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Admin XMLRPC Client 2010-04-16 10:34:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Bug Zapper 2010-11-04 05:56:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-04-03 14:57:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Vedran Miletić 2014-06-14 04:06:12 EDT
Since fedup is new and cool thing I guess this is no longer important.

Note You need to log in before you can comment on or make changes to this bug.